Bug 239006 - New Port: audio/grip GTK front-end to external cd rippers and audio encoders
Summary: New Port: audio/grip GTK front-end to external cd rippers and audio encoders
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-05 14:18 UTC by Jens Grassel
Modified: 2019-07-31 00:20 UTC (History)
2 users (show)

See Also:


Attachments
SHAR to create audio/grip port. (7.35 KB, text/plain)
2019-07-05 14:18 UTC, Jens Grassel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2019-07-05 14:18:57 UTC
Created attachment 205532 [details]
SHAR to create audio/grip port.

Hi,

I've revived the audio/grip port and updated it to the latest version.
Though it was removed december 2018 I would like to keep it and will maintain it because all other audio rippers seem to suck big time.

Regards,

Jens
Comment 1 Koichiro Iwao freebsd_committer 2019-07-30 10:24:30 UTC
Make sure to create valid plist.
Comment 2 commit-hook freebsd_committer 2019-07-31 00:19:28 UTC
A commit references this bug:

Author: meta
Date: Wed Jul 31 00:19:16 UTC 2019
New revision: 507687
URL: https://svnweb.freebsd.org/changeset/ports/507687

Log:
  New port: audio/grip GTK front-end to external cd rippers and audio encoders

  Grip is a front-end to external cd audio rippers (such as dagrab or
  cdda2wav). It also provides an automated frontend for MP3 encoders, letting
  you take a disc and transform it easily straight into MP3s. The CDDB
  protocol is supported for retrieving track information from disc database
  servers. Grip works with DigitalDJ to provide a unified "computerized"
  version of your music collection.

  WWW: https://sourceforge.net/projects/grip/

  PR:		239006
  Submitted by:	Jens Grassel <freebsd-ports@jan0sch.de>

Changes:
  head/audio/Makefile
  head/audio/grip/
  head/audio/grip/Makefile
  head/audio/grip/distinfo
  head/audio/grip/files/
  head/audio/grip/files/patch-src_main.c
  head/audio/grip/files/patch-src_tray.c
  head/audio/grip/pkg-descr
  head/audio/grip/pkg-plist
Comment 3 Koichiro Iwao freebsd_committer 2019-07-31 00:20:10 UTC
Committed with minor plist changes, thanks!